package com.steerinfo.baseinfo.meterbasecalibrationtime.service;

import com.steerinfo.baseinfo.meterbasespotinfo.model.MeterBaseSpotInfo;
import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.baseinfo.meterbasecalibrationtime.model.MeterBaseCalibrationTime;

import java.util.List;
import java.util.Map;

/**
 * MeterBaseCalibrationTime服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2020-06-16 02:59
 * 类描述
 * 修订历史：
 * 日期：2020-06-16
 * 作者：generator
 * 参考：
 * 描述：MeterBaseCalibrationTime服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IMeterBaseCalibrationTimeService extends IBaseService<MeterBaseCalibrationTime, String>{
     String checkandadd(MeterBaseCalibrationTime model);

     String checkandupdate(String id,MeterBaseCalibrationTime model);

     List<MeterBaseCalibrationTime> queryall(Map<String,Object> parmas);

     String abolish(List<MeterBaseCalibrationTime> models);

     String recovery(List<MeterBaseCalibrationTime> models);

     String updateStateByPrimaryKey(String calTimeNo,String flag);
}